aboutsummaryrefslogtreecommitdiffstats
path: root/main/readline/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-27 08:59:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-27 08:59:41 +0000
commit95d20c6438db7fff3eb3a90b54dc81669b2a18df (patch)
tree8761343f5e3f82306ad7da7a4e1c6ad2beaaccdd /main/readline/APKBUILD
parentcac94883fc71547b21e7fc75b7ca378741b041b5 (diff)
downloadaports-95d20c6438db7fff3eb3a90b54dc81669b2a18df.tar.gz
aports-95d20c6438db7fff3eb3a90b54dc81669b2a18df.tar.bz2
aports-95d20c6438db7fff3eb3a90b54dc81669b2a18df.tar.xz
main/readline: upgrade to 6.1.001
Diffstat (limited to 'main/readline/APKBUILD')
-rw-r--r--main/readline/APKBUILD45
1 files changed, 27 insertions, 18 deletions
diff --git a/main/readline/APKBUILD b/main/readline/APKBUILD
index faf551477b..e72c910431 100644
--- a/main/readline/APKBUILD
+++ b/main/readline/APKBUILD
@@ -1,8 +1,9 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=readline
-_myver=6.0
-_patchver=004
-pkgver=6.0.004
+pkgver=6.1.001
+_myver=${pkgver%.*}
+_patchver=${pkgver##*.}
+_suff=${_myver%.*}${_myver#*.}
pkgrel=0
pkgdesc="GNU readline library"
url="ftp://ftp.cwru.edu/pub/bash/"
@@ -10,32 +11,40 @@ license="GPL"
depends=
makedepends="ncurses-dev"
subpackages="$pkgname-dev $pkgname-doc"
-source="ftp://ftp.gnu.org/gnu/readline/readline-6.0.tar.gz
- ftp://ftp.gnu.org/gnu/readline/readline-6.0-patches/readline60-001
- ftp://ftp.gnu.org/gnu/readline/readline-6.0-patches/readline60-002
- ftp://ftp.gnu.org/gnu/readline/readline-6.0-patches/readline60-003
- ftp://ftp.gnu.org/gnu/readline/readline-6.0-patches/readline60-004
+source="http://ftp.gnu.org/gnu/readline/readline-${_myver}.tar.gz
"
-build ()
-{
- cd "$srcdir/$pkgname-$_myver"
- for i in "$srcdir"/readline60-???; do
+# generate url's to patches. note: no forks allowed!
+_i=1
+while [ $_i -le $_patchver ]; do
+ source="$source http://ftp.gnu.org/gnu/readline/readline-$_myver-patches/readline$_suff-00$_i"
+ _i=$(( $_i + 1))
+done
+
+_builddir="$srcdir"/$pkgname-$_myver
+prepare() {
+ cd "$_builddir"
+ for i in "$srcdir"/readline$_suff-???; do
+ [ -r "$i" ] || continue
msg "Applying ${i##*/}"
- patch -Np2 -i ${i} || return 1
+ patch -Np0 -i ${i} || return 1
done
+}
+build() {
+ cd "$_builddir"
./configure \
--prefix=/usr \
--mandir=/usr/share/man \
--infodir=/usr/share/info
make SHLIB_LIBS=-lncurses || return 1
+}
+
+package() {
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="b7f65a48add447693be6e86f04a63019 readline-6.0.tar.gz
-85c01ea031ad38a179053c67186bafed readline60-001
-4fad2a4ce987e3101229d0c8dfb0cd80 readline60-002
-80967f663864983a889af2eb53aea177 readline60-003
-dd5dd5ff7f7229714bf1c2e274ad2ae9 readline60-004"
+md5sums="fc2f7e714fe792db1ce6ddc4c9fb4ef3 readline-6.1.tar.gz
+c642f2e84d820884b0bf9fd176bc6c3f readline61-001"